# frozen_string_literal: true

require_relative 'lib/diversipub/version'

Gem::Specification.new do |spec|
  repo = 'https://git.causa-arcana.com/causa-arcana/diversipub'
  home = repo
  bugs = "#{repo}/issues"
  docs = "https://www.rubydoc.info/gems/diversipub/#{Diversipub::VERSION}"

  spec.name     = 'diversipub'
  spec.version  = Diversipub::VERSION
  spec.license  = 'MIT'
  spec.homepage = home
  spec.platform = Gem::Platform::RUBY

  spec.required_ruby_version = '~> 3.0'

  spec.authors = ['Alex Kotov']
  spec.email   = ['kotovalexarian@gmail.com']

  spec.summary = ''

  spec.description = <<~DESCRIPTION.split("\n").map(&:strip).join ' '
  DESCRIPTION

  spec.metadata['rubygems_mfa_required'] = 'true'
  spec.metadata['homepage_uri']          = home
  spec.metadata['source_code_uri']       = home
  spec.metadata['bug_tracker_uri']       = bugs
  spec.metadata['documentation_uri']     = docs

  spec.bindir        = 'exe'
  spec.require_paths = ['lib']

  spec.files = Dir.chdir File.expand_path __dir__ do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match %r{\A(?:test|spec|features)/}
    end
  end

  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename f }

  spec.add_development_dependency 'pry',  '~> 0.14'
  spec.add_development_dependency 'rake', '~> 13.0'
end
